@import '../../_mixins.scss';
 .subscription-management {
     .device-status {
         &.device-status--Active, &.device-status--active {
             width: 20px;
             height: 20px;
             background: green;
             border-radius: 50%;
             margin-left: 2px;
             .monitor{
                 margin-left: 30px 
            }
        }
         &.device-status--Inactive, &.device-status--inactive {
             width: 20px;
             height: 20px;
             background: #afadad;
             border-radius: 50%;
             margin-left: 2px;
             .monitor{
                 margin-left: 30px 
            }
        }
    }
     .status {
         padding: 2px 5px 2px 15px;
         border-radius: 3px;
         font-size: 11px;
         position: relative;
         &.status--Active {
             --status-color: green;
             border: 1px solid var(--status-color);
             color: var(--status-color);
             &::after {
                 content: ' ';
                 display: block;
                 position: absolute;
                 top: 5px;
                 left: 4px;
                 min-height: 6px;
                 width: 9px;
                 background: transparent;
                 border-left: 2px solid var(--status-color);
                 border-bottom: 2px solid var(--status-color);
                 transform: rotate(-45deg);
            }
        }
         &.status--Inactive,&.status--Expiring,&.status--Expired{
             --status-color: red;
             border: 1px solid var(--status-color);
             color: var(--status-color);
             &::after {
                 content: ' ';
                 position: absolute;
                 top: 4px;
                 left: 6px;
                 width: 1px;
                 height: 10px;
                 border: 1px solid var(--status-color);
                 transform: rotate(45deg);
            }
             &::before {
                 content: ' ';
                 position: absolute;
                 top: 4px;
                 left: 6px;
                 width: 1px;
                 height: 10px;
                 border: 1px solid var(--status-color);
                 transform: rotate(-45deg);
            }
        }
    }
     .subscription-management__table-top {
         background: white;
         padding: 15px;
         display: flex;
         flex-direction: column;
         .subscription-management__table-filters, .subscription-management__table-actions {
             display: flex;
             flex-direction: row;
             align-items: center;
             justify-content: space-between;
        }
         .subscription-management__table-filters {
             padding-top: 15px;
             overflow: auto;
             display: inline-block;
        }
         .subscription-management__filter {
             background: var(--primary);
             padding: 3px 3px 3px 10px;
             margin: 2px;
             border-radius: 15px;
             display: inline-block;
             flex-direction: row;
             label {
                 color: white;
            }
             span {
                 min-width: 8px;
                 padding: 5px 15px 5px 5px;
                 position: relative;
                 cursor: pointer;
                 &::before, &::after {
                     display: block;
                     content: ' ';
                     width: 10px;
                     height: 2px;
                     background: white;
                     position: absolute;
                     top: 12px;
                     right: 4px;
                }
                 &::after {
                     transform: rotate(45deg);
                }
                 &::before {
                     transform: rotate(-45deg);
                }
            }
        }
         .subscription-management__table-header-search {
             display: flex;
             justify-content: space-between;
             flex-grow: 1;
             .field-section, .checkbox-holder{
                 width: 100%;
            }
        }
         .btn.square-btn{
             font-size: var(--font-xs);
             padding: 4px 8px;
             height: 27px;
             min-width: 65px;
             margin-left: 10px;
             margin-bottom: 2px;
             img{
                 padding-right: 3px;
            }
             &:hover, &:active, &:focus{
                 img{
                     filter: invert(75%);
                }
            }
        }
         .field-section {
             padding: 0;
             display: flex;
             .field__input input:not([type="radio"]){
                 height: var(--input-height);
            }
             .field__input input[type="file"]{
                 height: 0;
                 margin-left: -24px;
                 border:none;
            }
             div.row {
                 margin: 0;
                 width: 95%;
            }
             .field__label{
                 display: none;
            }
        }
         .checkbox-holder label.checkbox__content{
            padding-left: 2px;
            margin-top: -1px;
        }
    }
     .disable-div{
         pointer-events: none;
         opacity: 0.5;
    }
     .disable-div-info{
         cursor: not-allowed;
        ;
         opacity: 0.5;
    }
     .loader{
         position: absolute;
         left: 55%;
         top: 50%;
         z-index: 999;
    }
     .loading{
         opacity: .5;
    }
}
 .confirm-modal {
     &.modal .modal-dialog .modal-content .modal-body {
         padding: 40px 25px 75px 25px;
    }
}
 .update-contract {
     .update-contract__body {
         width: 100%;
         .confirm-message{
             display: inline-table;
             color: red;
             padding: 5px 20px;
             img{
                 width: 30px;
                 height: 30px;
                 margin-right: 10px;
                 margin-top: 1px;
            }
             .text{
                 display: flex;
                 p {
                     margin: 0 0 2px;
                }
            }
        }
    }
}
 .user-modal {
     .modal-dialog .modal-content .modal-body {
         padding: 15px 5px;
         .user-modal__body {
             display: flex;
             flex-direction: row;
             flex-wrap: wrap;
        }
    }
}
  
//  .address-mapping{
//     //  .Select-option:last-child{
//     //      background-color: #0071b5;
//     //      padding-left: 36px;
//     //      color: #fff;
//     //      background-image: url("../assets/icons/plus.png");
//     //      background-repeat: no-repeat;
//     //      background-position: 10px 6px;
//     // }
// }
 

.subscription-management.subscription-manage {
    .table-container .table-container__table .ReactTable .rt-table .rt-thead.-header:first-child{
        padding-left: 0 !important;
    }

    .subscription-management__table-header-search {
        display: flex;
        justify-content: space-between;
        flex-grow: 1;
        max-width: 400px;
        .field-section, .checkbox-holder{
            width: 100%;
       }
   }
}

.edit-subscription {
    width: 100%;
    .subscription-details-modal__body-edit {
        padding: 0 20px;
    }

    .auto-renew-input {
        .checkbox-holder {
            margin: 50px 10px;
        }
    }

    .subscription-details-modal__body {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;

        .subscription-details-modal__body-field {
            display: flex;
            flex-direction: column;
            flex-basis: 33%;
            padding-top: 8px;
            padding-bottom: 8px;
            overflow: hidden;
            label {
                font-family: var(--font-first);
                @include text_one_line;
                &:first-child {
                    color: var(--grey-label);
                    text-transform: uppercase;
               }
                &:nth-child(2) {
                    color: var(--black-font);
                    padding-top: 5px;
               }
           }
            .label-expiration-date{
                font-weight: bold;
           }
            .support-status{
                padding: 0;
                margin-top: -5px;
           }
           .note-description{
            max-height: 100px;
            overflow-y: auto;
            text-overflow: unset;
            white-space: unset;
           }
            .item-description{
                text-overflow: unset;
                white-space: unset;
           }
            .info{
                white-space: unset;
           }
        }
    }
}
.add-subscription {

.subscription-details {
    div{
        float: right;
        font-size: larger;
        padding-right: 44px;
        margin-top: -8px;
   }
    .status--Active {
        color: green;
   }
    .status--Inactive {
        color: red;
   }
}
.items-list {
    border-top: 1px solid #ccc;
    .item {
        padding: 5px 0;
    }
}
.subscription-detail__header {
    h5{
        color: var(--grey-label);
        text-transform: uppercase;
    }
}

}

.subscription-manage {
    .subscription-management__table-header-search {
        display: flex;
        justify-content: space-between;
        flex-grow: 1;
        max-width: 800px !important;
    }
}

.customer-mapping {
    .last .Select {
        width: 250px;
    }
    .first {
        width: 250px;
    }
    .error-customer_mapping {
        background: white;
        padding: 8px 20px 10px 315px;
        color: red;
    }
}

.subscription-mapping-import{
    .middle-manufacturer {
        width: 60px!important;
    }
    td.include {
        width: 200px;
    }
    td.last {
        width: 320px;
        .Select {
            width: unset;
         }
    }
    .error-customer_mapping {
        background: white;
        padding: 8px 20px 10px 315px;
        color: red;
    }
}

.subscription-status-icons {
    display: flex;
    padding: 0px;
    //width: 70px;
    img {
        margin: 0px 7px 0 5px;
   }
    .device-status{
        margin-right: 0;
   }
    .status-svg-images{
        width: 20px;
        height: 20px;
   }
}